<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Allgemein;

class WssFieldAllgemeinIban extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  public function getValueFromPost(string $requestPrefix = '')
  {
    $iban = parent::getValueFromPost($requestPrefix);

    return str_replace(' ', '', $iban); 
  }

  public function getDefaultMaxLength(): ?int
  {
    return 35;
  }
}